jvisualvm(1)

Name
jvisualvm - Java Virtual Machine Monitoring, Troubleshooting, and Profiling Tool

SYNOPSIS

        jvisualvm [ options ]

PARAMETERS

Options, if used, should follow immediately after the command name. Options may be in any order. For a discussion of parameters that apply to a specific option, see OPTIONS below.

DESCRIPTION

Java VisualVM is an intuitive graphical user interface that provides detailed information about Java technology-based applications (Java applications) while they are running on a given Java Virtual Machine (JVM(*)). The name Java VisualVM comes from the fact that Java VisualVM provides information about the JVM software visually.

Java VisualVM combines several monitoring, troubleshooting, and profiling utilities into a single tool. For example, most of the functionality offered by the standalone tools jmap, jinfo, jstat and jstack have been integrated into Java VisualVM. Other functionalities, such as some of those offered by the JConsole tool, can be added as optional plug-ins.

OPTIONS

The following option is possible when you launch Java VisualVM.

    -J<jvm_option>
        Pass this <jvm_option> to the JVM software.

USAGE

Java VisualVM is useful to Java application developers to troubleshoot applications and to monitor and improve the applications' performance. Java VisualVM can allow developers to generate and analyse heap dumps, track down memory leaks, perform and monitor garbage collection, and perform lightweight memory and CPU profiling. Plug-ins also exist that expand the functionality of Java VisualVM. For example, most of the functionality of the JConsole tool is available via the MBeans Tab and JConsole Plug-in Wrapper plug-ins. You can choose from a catalog of standard Java VisualVM plug-ins by selecting 'Tools' | 'Plugins' in the Java VisualVM menus.

Start Java VisualVM with the following command:

%  jvisualvm <options>

SEE ALSO

For more details about Java VisualVM see the following pages.

    o   Java VisualVM developers' site @
        http://visualvm.java.net

    o   Java VisualVM in Java SE platform documentation @
        http://docs.oracle.com/javase/7/docs/technotes/guides/visualvm/index.html

(* The terms "Java Virtual Machine" and "JVM" mean a Virtual Machine for the Java platform.)